Skip to content
Sign In

getBalances

GET
/v5/books/{bookId}/balances

List accounts|groups Balances

Authorizations

Parameters

Path Parameters

bookId
required
string

The id of the book. Same bookId url param on Bkper

Query Parameters

query
required
string

The query to filter balances

Responses

200

A Balances response

object
accountBalances
Array<object>
object
archived
boolean
balances
Array<object>
object
cumulativeBalance
string
cumulativeCredit
string
cumulativeDebit
string
day
integer format: int32
fuzzyDate
integer format: int32
month
integer format: int32
periodBalance
string
periodCredit
string
periodDebit
string
year
integer format: int32
credit
boolean
cumulativeBalance
string
cumulativeCredit
string
cumulativeDebit
string
empty
boolean
name
string
normalizedName
string
periodBalance
string
periodCredit
string
periodDebit
string
permanent
boolean
properties
object
key
additional properties
string
balancesUrl
string
groupBalances
Array<object>
object
accountBalances
Array<object>
object
archived
boolean
balances
Array<object>
object
cumulativeBalance
string
cumulativeCredit
string
cumulativeDebit
string
day
integer format: int32
fuzzyDate
integer format: int32
month
integer format: int32
periodBalance
string
periodCredit
string
periodDebit
string
year
integer format: int32
credit
boolean
cumulativeBalance
string
cumulativeCredit
string
cumulativeDebit
string
empty
boolean
name
string
normalizedName
string
periodBalance
string
periodCredit
string
periodDebit
string
permanent
boolean
properties
object
key
additional properties
string
balances
Array<object>
object
cumulativeBalance
string
cumulativeCredit
string
cumulativeDebit
string
day
integer format: int32
fuzzyDate
integer format: int32
month
integer format: int32
periodBalance
string
periodCredit
string
periodDebit
string
year
integer format: int32
credit
boolean
cumulativeBalance
string
cumulativeCredit
string
cumulativeDebit
string
groupBalances
Array<object> recursive
name
string
normalizedName
string
periodBalance
string
periodCredit
string
periodDebit
string
permanent
boolean
properties
object
key
additional properties
string
nextRange
string
periodicity
string
Allowed values: DAILY MONTHLY YEARLY
previousRange
string
range
string
rangeBeginLabel
string
rangeEndLabel
string

Examples

{
"accountBalances": [
{
"archived": true,
"balances": [],
"credit": true,
"cumulativeBalance": "string",
"cumulativeCredit": "string",
"cumulativeDebit": "string",
"empty": true,
"name": "string",
"normalizedName": "string",
"periodBalance": "string",
"periodCredit": "string",
"periodDebit": "string",
"permanent": true,
"properties": {
"key": "value"
}
}
],
"balancesUrl": "string",
"groupBalances": [
{
"accountBalances": [],
"balances": [],
"credit": true,
"cumulativeBalance": "string",
"cumulativeCredit": "string",
"cumulativeDebit": "string",
"groupBalances": [],
"name": "string",
"normalizedName": "string",
"periodBalance": "string",
"periodCredit": "string",
"periodDebit": "string",
"permanent": true,
"properties": {
"key": "value"
}
}
],
"nextRange": "string",
"periodicity": "DAILY",
"previousRange": "string",
"range": "string",
"rangeBeginLabel": "string",
"rangeEndLabel": "string"
}

default

An error response from the Bkper API or its public API proxy.

A JSON error response. API operation errors use the nested error object. Public API proxy errors use the Problem Details fields.

object
error
object
errors
Array<object>
object
domain
string
reason
string
message
string
code
required
integer format: int32
message
required
string
type
string
title
string
status
integer format: int32
detail
string
instance
string
code
string